
%global meadversion 1.1.6
%global namedversion 1.1.6.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jaxen}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.6.redhat-1

Name:           %{?scl_prefix}jaxen
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        jaxen
Group:          Development/Java

%if %with mead
Source100: jaxen-1.1.6.redhat-1-scm-sources.zip
Source102: jaxen-1.1.6.redhat-1-sources.jar
Source103: jaxen-1.1.6.redhat-1-project.tar.bz2
Source104: jaxen-1.1.6.redhat-1-javadoc.jar
Source105: jaxen-1.1.6.redhat-1-bin.tar.gz
Source106: jaxen-1.1.6.redhat-1-src.tar.gz
Source107: jaxen-1.1.6.redhat-1-bin.tar.bz2
Source108: jaxen-1.1.6.redhat-1-project.tar.gz
Source109: jaxen-1.1.6.redhat-1-project-sources.tar.gz
Source110: jaxen-1.1.6.redhat-1-src.tar.bz2
Source111: jaxen-1.1.6.redhat-1-src.zip
Source112: jaxen-1.1.6.redhat-1.jar
Source113: jaxen-1.1.6.redhat-1.pom
Source114: jaxen-1.1.6.redhat-1-project.zip
Source115: jaxen-1.1.6.redhat-1-bin.zip
%endif

License:        BSD
URL:            http://jaxen.codehaus.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jaxen is a universal Java XPath engine.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jaxen
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jaxen -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jaxen-%{namedversion}.jar %{buildroot}%{_javadir}/jaxen-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jaxen-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jaxen-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jaxen-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jaxen-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jaxen-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jaxen-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jaxen-%{namedversion} -x META-INF/\*
%{__ln_s} jaxen-%{namedversion} %{buildroot}%{_javadocdir}/jaxen
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc INSTALL LICENSE.txt
%{_javadir}/jaxen-%{namedversion}.jar
%{_javadir}/jaxen.jar
%if %with javadoc
%{_javadir}/jaxen-%{namedversion}-javadoc.jar
%{_javadir}/jaxen-javadoc.jar
%endif
%{_javadir}/jaxen-%{namedversion}-sources.jar
%{_javadir}/jaxen-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jaxen-%{namedversion}
%{_javadocdir}/jaxen
%endif

%changelog
* Tue Oct 17 2017 Permaine Cheung <pcheung@redhat.com> - 1.1.6-3.redhat_1.1
- Fix license (JBEAP-13468)

* Wed May 13 2015 Fernando Nasser <fnasser@redhat.com> - 1.1.6-2.redhat_1.1
- Re-wrap to include RHEL-6

* Thu Apr 30 2015 David Walluck <dwalluck@redhat.com> - 1.1.6-1.redhat_1.1
- rebuild to fix version

* Wed Apr 29 2015 David Walluck <dwalluck@redhat.com> - 1.1-1.6.2
- build for EAP 7

